Skip to main content
GET
List conversations

Authorizations

Authorization
string
header
required

A secret key (dk_live_…). Scopes: conversations:read, contacts:read, contacts:write, meetings:read, analytics:read, events:read, webhooks:write, knowledge:read, knowledge:write, agent:read, agent:write, experiments:read, experiments:write, privacy:write, chat:write.

Query Parameters

limit
integer

1 to 100; default 25.

Required range: 1 <= x <= 100
starting_after
string

The next_cursor from the previous page.

updated_since
string<date-time>

Only conversations changed since; sorts by last change.

created_since
string<date-time>

Only conversations started since.

has_lead
boolean

With (true) or without (false) a captured email.

booked
boolean

With or without a booked meeting.

handoff
boolean

With or without a request for a person.

graded
boolean

Graded by Darwin or not yet.

page
string

Started on this path, e.g. /pricing.

experiment
string

Saw an opening from this test (exp_…).

include_test
boolean

Include the owner's own preview chats.

expand[]
string

messages: include the transcript.

Response

OK

object
any
required
data
object[]
required
has_more
boolean
required
next_cursor
string | null
required